[shark-hprof](../../../../../index.md) / [shark](../../../../index.md) / [HprofRecord](../../../index.md) / [HeapDumpRecord](../../index.md) / [ObjectRecord](../index.md) / [PrimitiveArrayDumpRecord](./index.md)

# PrimitiveArrayDumpRecord

`sealed class PrimitiveArrayDumpRecord : `[`HprofRecord.HeapDumpRecord.ObjectRecord`](../index.md)

Note: we could move the arrays to the parent class as a ByteString or ByteArray
and then each subtype can create a new array of the right type if needed.
However, experimenting with live parsing has shown that we never to read arrays except
when we want to display leak trace information, in which case we do need the data.

### Types

| Name | Summary |
|---|---|
| [BooleanArrayDump](-boolean-array-dump/index.md) | `class BooleanArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [ByteArrayDump](-byte-array-dump/index.md) | `class ByteArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [CharArrayDump](-char-array-dump/index.md) | `class CharArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [DoubleArrayDump](-double-array-dump/index.md) | `class DoubleArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [FloatArrayDump](-float-array-dump/index.md) | `class FloatArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [IntArrayDump](-int-array-dump/index.md) | `class IntArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [LongArrayDump](-long-array-dump/index.md) | `class LongArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [ShortArrayDump](-short-array-dump/index.md) | `class ShortArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |

### Properties

| Name | Summary |
|---|---|
| [id](id.md) | `abstract val id: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html) |
| [size](size.md) | `abstract val size: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
| [stackTraceSerialNumber](stack-trace-serial-number.md) | `abstract val stackTraceSerialNumber: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |

### Inheritors

| Name | Summary |
|---|---|
| [BooleanArrayDump](-boolean-array-dump/index.md) | `class BooleanArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [ByteArrayDump](-byte-array-dump/index.md) | `class ByteArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [CharArrayDump](-char-array-dump/index.md) | `class CharArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [DoubleArrayDump](-double-array-dump/index.md) | `class DoubleArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [FloatArrayDump](-float-array-dump/index.md) | `class FloatArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [IntArrayDump](-int-array-dump/index.md) | `class IntArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [LongArrayDump](-long-array-dump/index.md) | `class LongArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
| [ShortArrayDump](-short-array-dump/index.md) | `class ShortArrayDump : `[`HprofRecord.HeapDumpRecord.ObjectRecord.PrimitiveArrayDumpRecord`](./index.md) |
